org.hibernate.validator.internal.cdi.interceptor

## Class ValidationEnabledAnnotatedConstructor<T>

- java.lang.Object
- - org.hibernate.validator.internal.cdi.interceptor.ValidationEnabledAnnotatedCallable<T>
  - - org.hibernate.validator.internal.cdi.interceptor.ValidationEnabledAnnotatedConstructor<T>

- All Implemented Interfaces:
    Annotated, AnnotatedCallable<T>, AnnotatedConstructor<T>, AnnotatedMember<T>

      public class ValidationEnabledAnnotatedConstructor<T>
      extends ValidationEnabledAnnotatedCallable<T>
      implements AnnotatedConstructor<T>

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationEnabledAnnotatedConstructor(AnnotatedConstructor<T> constructor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Constructor<T>` | `getJavaMember()`

    - ### Methods inherited from class org.hibernate.validator.internal.cdi.interceptor.ValidationEnabledAnnotatedCallable

      `getAnnotation, getAnnotations, getBaseType, getDeclaringType, getParameters, getTypeClosure, isAnnotationPresent, isStatic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.enterprise.inject.spi.AnnotatedCallable

      `getParameters`

    - ### Methods inherited from interface javax.enterprise.inject.spi.AnnotatedMember

      `getDeclaringType, isStatic`

    - ### Methods inherited from interface javax.enterprise.inject.spi.Annotated

      `getAnnotation, getAnnotations, getBaseType, getTypeClosure, isAnnotationPresent`

- - ### Constructor Detail

    - #### ValidationEnabledAnnotatedConstructor

          public ValidationEnabledAnnotatedConstructor(AnnotatedConstructor<T> constructor)

  - ### Method Detail

    - #### getJavaMember

          public Constructor<T> getJavaMember()

      Specified by:
        `getJavaMember` in interface `AnnotatedConstructor<T>`
      Specified by:
        `getJavaMember` in interface `AnnotatedMember<T>`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved